xmonad-contrib-0.11.2: Third party extensions for xmonad

Portability | unportable
Stability | unstable
Maintainer | joamaki@gmail.com
Safe Haskell | None

XMonad.Layout.SimplestFloat

Contents

- Usage:

Description

A basic floating layout like SimpleFloat but without the decoration.

Synopsis

- simplestFloat :: Eq a => ModifiedLayout WindowArranger SimplestFloat a
- data SimplestFloat a

# Usage:

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

     import XMonad.Layout.SimplestFloat

Then edit your `layoutHook` by adding the SimplestFloat layout:

     myLayout = simplestFloat ||| Full ||| etc..
     main = xmonad defaultConfig { layoutHook = myLayout }

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

simplestFloat :: Eq a => ModifiedLayout WindowArranger SimplestFloat aSource

A simple floating layout where every window is placed according to the window's initial attributes.

data SimplestFloat a Source

Instances

LayoutClass SimplestFloat Window |
Read (SimplestFloat a) |
Show (SimplestFloat a) |